import javax.swing.*;

public class Hybrit_Power_Plant_Main
	{
	public static void main(String arg[])
		{
			
			double power=100; //MW
			double field; // solar panellerinin alanı (m^2)
			
			int day=21; 
			int mounth=8; 
			double standartTime=18.0*60.0; 
			double enlem=38.4; 
			double boylam=-27.25; 
			double ssboylamı=-45.0;
			double yukseklik=0.01; 
			int iklim=2;  // yarı tropikal
			double yatay_egim=30.0; //yüzey eğim açısı
			double azimuth=-45.0; //yüzey azimut açısı
			double ro=1;  //yansıma oranı
			
			
			Hybrit_Power_Plant r=new Hybrit_Power_Plant( power, enlem, boylam,ssboylamı, yukseklik, iklim);
        		
        		r.rankinearaısıtmalı_model(600.0,150.0,40.0 ,600.0,0.1,1.0,1.0);
        		field=r.maks_field_system_solar( ro);
		///*	
        		
      		//Grafik çizdirme hasaslık oranı
        	int oran=1;	
        	double	orann=oran;
			
			
			//...................................Yatay bir yüzeye gelen  ışınım şiddeti
			double xx[] = new double[24*oran+1] ;
          	double yy[] = new double[24*oran+1] ;
          	double x0,x1=0;
          	double toplam=0;
          	double average=0;	

	for(int i=0; i<=(24*oran); i++)
			{
				x0=i*(60/oran);
				
				double t=r.day_boiler( day,  mounth,  x0,  ro,  field )/1000;
				
	  		xx[i]=x1;
      		yy[i]=t;
      		x1+=(1/orann);
      		toplam+=t;
 			}
    		average=toplam/(24*oran);
    	
    		Plot pp=new Plot(xx,yy);    		
    		pp.setPlabel("Hibrit Solar desteki Rankine güç çevrimi");
 			pp.setYlabel("Kazandan üretilen ısı, MW");
 			pp.setXlabel("saat");
 			pp.plot();
      		      		
      System.out.println(" Hibrit, Solar destekli Rankine güç çevrimi \n");
      System.out.println(" Gün boyu ortalama:"+average+" W/m^2 \n");
      System.out.println(" Saat  Işınım \n");
	for(int j=0; j<=(24*oran); j++)
			{
				
				System.out.println(" "+xx[j]+" "+yy[j]+" \n");
 			}
		
 			System.out.println(r.cikti(field,ro));
		}
	}